MAPIClientLibraries 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
IMAPISession.c File Reference

Session initialization options. More...

`#include "libmapi/libmapi.h"`
`#include "libmapi/libmapi_private.h"`

## Functions
_PUBLIC_ enum MAPISTATUS | OpenMsgStore (struct mapi_session *session, mapi_object_t *obj_store)
_PUBLIC_ enum MAPISTATUS | OpenPublicFolder (struct mapi_session *session, mapi_object_t *obj_store)
_PUBLIC_ enum MAPISTATUS | OpenUserMailbox (struct mapi_session *session, const char *username, mapi_object_t *obj_store)

## Detailed Description

Session initialization options.

## Function Documentation

_PUBLIC_ enum MAPISTATUS OpenMsgStore | ( | struct mapi_session * | session,
|  | mapi_object_t * | obj_store
| ) |  |

Open the Message Store

This function opens the main message store. This allows access to the normal user folders.

Parameters

  session | pointer to the MAPI session context
  obj_store | the result of opening the store

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error.

Note
  Developers may also call GetLastError() to retrieve the last MAPI error code. Possible MAPI error codes are:
  - MAPI_E_NOT_INITIALIZED: MAPI subsystem has not been initialized
  - MAPI_E_CALL_FAILED: A network problem was encountered during the transaction

See Also
  MAPIInitialize which is required before opening the store
  GetLastError to check the result of a failed call, if necessary
  OpenPublicFolder if you need access to the public folders

Examples:
  fetchappointment.c, and fetchmail.c.

References GetLastError(), and OpenUserMailbox().

_PUBLIC_ enum MAPISTATUS OpenPublicFolder | ( | struct mapi_session * | session,
|  | mapi_object_t * | obj_store
| ) |  |

Open the Public Folder store

This function opens the public folder store. This allows access to the public folders.

Parameters

  obj_store | the result of opening the store
  session | pointer to the MAPI session context

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error.

Note
  Developers may also call GetLastError() to retrieve the last MAPI error code. Possible MAPI error codes are:
  - MAPI_E_NOT_INITIALIZED: MAPI subsystem has not been initialized
  - MAPI_E_CALL_FAILED: A network problem was encountered during the transaction

See Also
  MAPIInitialize which is required before opening the store
  GetLastError to check the result of a failed call, if necessary
  OpenMsgStore if you need access to the message store folders

References GetNewLogonId(), mapi_object_set_handle(), mapi_object_set_logon_id(), mapi_object_set_logon_store(), and mapi_object_set_session().

_PUBLIC_ enum MAPISTATUS OpenUserMailbox | ( | struct mapi_session * | session,
|  | const char * | username,
|  | mapi_object_t * | obj_store
| ) |  |

Open another user mailbox

This function opens the main message store. This allows access to the normal user folders.

Parameters

  session | pointer to the MAPI session context
  username | name of the user's mailbox to open
  obj_store | the result of opening the store

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error.

Note
  Developers may also call GetLastError() to retrieve the last MAPI error code. Possible MAPI error codes are:
  - MAPI_E_NOT_INITIALIZED: MAPI subsystem has not been initialized
  - MAPI_E_CALL_FAILED: A network problem was encountered during the transaction

See Also
  MAPIInitialize which is required before opening the store
  GetLastError to check the result of a failed call, if necessary
  OpenPublicFolder if you need access to the public folders

References GetNewLogonId(), mapi_object_set_handle(), mapi_object_set_logon_id(), mapi_object_set_logon_store(), and mapi_object_set_session().

Referenced by OpenMsgStore().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/